Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.web.dhtml
Interface DHTMLConfig

    public interface DHTMLConfig

DHTML APIs provide APIs for users. With DHTML APIs, users can easily embed the DHTML pages or components into their own JSPs. All the methods in this interface can be invoked by remote server (RMI).

Support the running of multiple report sets in one session, and a report set can include one or more reports.

Descriptions of some key terms:

sessionId: the key for the session in the server (generated by the server automatically when you log in), and users can invoke DHTMLUtil.getSessionID(HttpServletRequest request) to get the key.

rptSetId: the key for the report set in DHTML (generated automatically after the report set has been run), and users can invoke DHTMLUtil.getRptSetId(HttpServletRequest request) to get the key.

rptName: the key for the report in DHTML (retrieved from the report set after the report set has been run), and users can invoke DHTMLUtil.getRptName(HttpServletRequest request) to get the key.

Note of using this DHTML API:

You must follow a certain order for the method which uses the parameters "sessionId", "rptSetId" and "rptName" in dhtml.jsp. For example: setFeatureEnabled(String sessionId, String rptSetId, String rptName, String featureName, boolean enable) must be called after the code "Map tmpmap = DHTMLUtil.runReport(request, params);", because the parameters are offered after the report set has been run. If the wrong order is used, a jsp error will be generated. And there is no specified order for the other API methods that do not use the parameters.

Method Summary
`void` | `customizeToolbar(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String toolbarname, int[] buttonId)` Customizes toolbar.
`void` | `customizeToolbar(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String toolbarname, int[] buttonId, boolean isVisible)` Customizes toolbar.
`boolean` | `enableLinkCatalogMode(java.lang.String sessionId)` Gets whether or not to enable linked catalog, used in the save dialog.
`int` | `getAutoRefreshInterval(java.lang.String sessionId, java.lang.String rptSetId)` Gets the auto refresh interval.
`jet.web.dhtml.ShortCutMenu` | `getChartTypeMenu(java.util.Hashtable params)` Builds shortcut menu for jetObject specifically.
`int` | `getCurrentResolution(java.lang.String sessionID, java.lang.String rptSetID, java.lang.String rptName)` Gets the DHTML report resolution value.
`java.lang.String` | `getCurrentSkinName(java.lang.String sessionId, java.lang.String rptSetId)` Gets the current skin name.
`boolean` | `getCurrentToolbarButtonIsDisabled(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, int buttonId)` Gets whether the specified toolbar button is disabled.
`java.util.Hashtable` | `getCurrentToolbarInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the current toolbar information.
`int` | `getCurrentZoom(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the current report zoom value.
`java.lang.String` | `getDHTMLContextPath(java.lang.String sessionId)` Gets the dhtml web app context path.
`java.lang.String` | `getDHTMLCssPath(java.lang.String sessionId, java.lang.String rptSetId)` Gets the DHTML CSS path URL.
`java.lang.String` | `getDHTMLJsPath(java.lang.String sessionId)` Gets the DHTML JavaScript path URL.
`java.lang.String` | `getDHTMLJspUrl(java.lang.String sessionId)` Gets the dhtml web app jsp url.
`java.lang.String` | `getDHTMLServletUrl(java.lang.String sessionId, java.lang.String rptSetId)` Gets the dhtml web app context path.
`java.lang.String` | `getDHTMLSkinCssPath(java.lang.String sessionId, java.lang.String rptSetId)` Gets the DHTML CSS path URL.
`java.lang.String` | `getDHTMLSkinImagePath(java.lang.String sessionId, java.lang.String rptSetId)` Gets the DHTML images path URL.
`java.lang.String` | `getDHTMLSkinPath(java.lang.String sessionId, java.lang.String rptSetId)` Deprecated.
`java.util.List` | `getDHTMLSkins(java.lang.String sessionId, java.lang.String rptSetId)` Gets the DHTML skin list.
`int` | `getDSOPanelHeight(java.lang.String sessionId, java.lang.String rptSetId)` Gets the Resource View panel height.
`java.lang.String` | `getErrorPage()` Gets the Error Page's URL.
`int` | `getFilterDisplayNameSortType(java.lang.String sessionId)` Gets the sort type of column display name in the filter dialog.
`java.lang.String` | `getGridImagePath(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the grid image path.
`int` | `getGridSize(java.lang.String sessionId, java.lang.String rptSetId)` Gets the grid size.
`java.lang.String` | `getHostName(java.lang.String sessionId)` Gets the server's host name.
`java.lang.String` | `getHostPort(java.lang.String sessionId)` Gets the server's host port.
`int` | `getLeftPanelWidth(java.lang.String sessionId, java.lang.String rptSetId)` Gets the left panel width.
`java.lang.String` | `getLinkCatalogMode(java.lang.String sessionId)` Gets the catalog usage mode.
`int` | `getLockScreenTimeOut(java.lang.String sessionId, java.lang.String rptSetId)` Gets the time of lock screen timeout.
`jet.web.dhtml.Menu` | `getMainMenu(java.util.Hashtable params)` Gets DHTML main menu.
`int` | `getRecordNumber(java.lang.String sessionId, java.lang.String rptSetId)` Gets the DHTML page Record Number value.
`int` | `getReportScroll(java.lang.String sessionId)` Gets the report scrollbar type.
`int` | `getResolutionValue(java.lang.String sessionID, java.lang.String rptSetID)` Gets the DHTML report set resolution value.
`int` | `getSearchDisplayNameSortType(java.lang.String sessionId)` Gets the sort type of column display name in the search dialog.
`jet.web.dhtml.ShortCutMenu` | `getShortcutMenu(java.util.Hashtable params)` Builds shortcut menu for jetObject specifically.
`int` | `getSortDisplayNameSortType(java.lang.String sessionId)` Gets the sort type of column display name in the sort dialog.
`java.lang.String[]` | `getStyle()` Deprecated. Gets the style names. Implements with new String[] { "style1", "style2", "style3" }.
`java.lang.String` | `getTitle(java.lang.String sessionId)` Gets current browser's title.
`int` | `getTocPanelHeight(java.lang.String sessionId, java.lang.String rptSetId)` Gets the TOC panel height.
`java.util.Vector` | `getToolbar(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, int toolbarId)` Gets the toolbar items by toolbar id.
`java.util.Vector` | `getToolbar(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, int toolbarID, boolean isSimpleMode)` Gets the toolbar items by toolbar id and view mode.
`java.util.List` | `getToolbarIndexArray(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the toolbar index list.
`java.lang.String[][]` | `getToolbarInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the toolbar information.
`java.util.List` | `getToolbarsDisplayName(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets all toolbar display name list.
`int` | `getToolBoxPanelHeight(java.lang.String sessionId, java.lang.String rptSetId)` Gets the toolbox panel height.
`java.lang.String` | `getUILanguage(java.lang.String sessionId, java.lang.String rptSetId)` Gets the language used in DHTML UI.
`java.lang.String` | `getUserEncoding(java.lang.String sessionId)` Gets the user encoding type. Always returns "UTF-8".
`java.lang.String` | `getUserScheme(java.lang.String sessionId)` Gets the server's Scheme.
`int` | `getZoomValue(java.lang.String sessionId, java.lang.String rptSetId)` Gets the DHTML page zoom value with the specified report set.
`boolean` | `isAdhoc(java.lang.String sessionId, java.lang.String rptSetId)` Determines whether adhoc mode is enabled.
`boolean` | `isAdvanceUser(java.lang.String sessionId, java.lang.String rptSetId)` Determines whether the user is an advanced user.
`boolean` | `isCheckAllReportTimeOut(java.lang.String sessionId, java.lang.String rptSetId)` Determines whether or not to check the timeout state of all reports in the report set.
`boolean` | `isCloseWindow(java.lang.String sessionId, java.lang.String rptSetId)` Gets DHTML window closing mode.
`boolean` | `isComponentVisible(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String compName)` Determines whether the DHTML component is visible.
`boolean` | `isDisplayNameSortEnabled(java.lang.String sessionId)` Determines whether or not to enable the feature of sorting column display name.
`boolean` | `isFeatureEnabled(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String featureName)` Determines whether the DHTML feature is enabled.
`boolean` | `isGoToDetailMode(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets whether it is go to detail mode.
`boolean` | `isLocked(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Determines whether the DHTML page is locked or not.
`boolean` | `isNoFrame(java.lang.String sessionId, java.lang.String rptSetId)` Deprecated. From V9. Cause Report render in a Frame is no longer supported. Determines whether the drill frame mode is enabled.
`boolean` | `isPipeLineMode(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets whether it is pipe line mode.
`boolean` | `isShowGrid(java.lang.String sessionId, java.lang.String rptSetId)` Gets whether or not to show grids.
`boolean` | `isSimpleViewMode(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets current view mode.
`boolean` | `isSnapGrid(java.lang.String sessionId, java.lang.String rptSetId)` Gets whether or not to snap grid.
`boolean` | `isVisibleMenu(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets whether current menu is visible.
`void` | `setAutoRefreshInterval(java.lang.String sessionId, java.lang.String rptSetId, int interval)` Sets the auto refresh interval.
`void` | `setComponentVisible(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String compName, boolean visible)` Sets the DHTML component visible.
`void` | `setCurrentUILanguage(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String localeStr)` Sets the language used in DHTML UI.
`void` | `setDHTMLContextPath(java.lang.String sessionId, java.lang.String contextPath)` Sets the dhtml web app context path.
`void` | `setDHTMLJspUrl(java.lang.String sessionId, java.lang.String url)` Sets the dhtml web app jsp url, it can be a relative or absolute path.
`void` | `setDHTMLServletUrl(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String url)` Sets the dhtml web app servlet url, it can be a relative or absolute path.
`void` | `setDHTMLSkins(java.lang.String sessionId, java.lang.String skins)` Sets the DHTML skin.
`void` | `setDisplayNameSortEnabled(java.lang.String sessionId, boolean isEnabled)` Sets whether or not to enable the feature of sorting column display name.
`void` | `setDSOPanelHeight(java.lang.String sessionId, java.lang.String rptSetId, int height)` Sets the Resource View panel height.
`void` | `setErrorPage(java.lang.String url)` Sets the Error Page's URL.
`void` | `setFeatureEnabled(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String featureName, boolean enable)` Sets the DHTML feature enabled.
`void` | `setFilterDisplayNameSortType(java.lang.String sessionId, int sortType)` Sets the sort type of column display name in the filter dialog.
`void` | `setHostName(java.lang.String sessionId, java.lang.String hostName)` Sets the server's host name.
`void` | `setHostPort(java.lang.String sessionId, java.lang.String port)` Sets the server's host port.
`void` | `setIsCheckAllReportTimeOut(java.lang.String sessionId, java.lang.String rptSetId, boolean ischeckallreporttimout)` Sets whether or not to check the timeout state of all reports in the report set.
`void` | `setIsNoFrame(java.lang.String sessionId, java.lang.String rptSetId, boolean isNoFrame)` Sets the DHTML frame mode.
`void` | `setLeftPanelWidth(java.lang.String sessionId, java.lang.String rptSetId, int width)` Sets the left panel width.
`void` | `setLockScreenTimeOut(java.lang.String sessionId, java.lang.String rptSetId, int timeOut)` Sets the time of lock screen timeout.
`void` | `setPopupFilterItemEnabled(java.lang.String sessionId, int itemID, boolean isEnabled)` Sets the filter shortcut menu visibility.
`void` | `setRecordNumber(java.lang.String sessionId, java.lang.String rptSetId, int recordNumber)` Sets the DHTML Record Number value.
`void` | `setReportScroll(java.lang.String sessionId, int type)` Sets the report scrollbar type.
`void` | `setSearchDisplayNameSortType(java.lang.String sessionId, int sortType)` Sets the sort type of column display name in the search dialog.
`void` | `setShortcutMenu(java.lang.String sessionId, java.lang.String rptSetId, int shortcutmenu, boolean isEnable)` Sets the shortcut menu visibility.
`void` | `setSkinFilePath(java.lang.String strSkinFilePath, java.lang.String fileName)` Deprecated.
`void` | `setSortDisplayNameSortType(java.lang.String sessionId, int sortType)` Sets the sort type of column display name in the sort dialog.
`void` | `setStyle(java.lang.String[] styles)` Deprecated. Sets the report style names, which should be defined in JReport Designer. Nothing do.
`void` | `setTitle(java.lang.String sessionId, java.lang.String title)` Sets the current browser's title.
`void` | `setTocPanelHeight(java.lang.String sessionId, java.lang.String rptSetId, int height)` Sets the TOC panel height.
`void` | `setToolBoxPanelHeight(java.lang.String sessionId, java.lang.String rptSetId, int height)` Sets the toolbox panel height.
`void` | `setUsedToolbar(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String toolbarName, boolean isUsed)` Sets whether or not the toolbar is used.
`void` | `setZoomValue(java.lang.String sessionId, java.lang.String rptSetId, int zoomValue)` Sets the DHTML page zoom value with the specified report set.

Method Detail

### setErrorPage

    void setErrorPage(java.lang.String url)

  Sets the Error Page's URL.

  Parameters:
    `url` - the Error Page's URL.

### getErrorPage

    java.lang.String getErrorPage()

  Gets the Error Page's URL.

  Returns:
    the Error Page's URL.

### isNoFrame

    boolean isNoFrame(java.lang.String sessionId,
                      java.lang.String rptSetId)

  Deprecated. From V9. Cause Report render in a Frame is no longer supported. Determines whether the drill frame mode is enabled.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### getTitle

    java.lang.String getTitle(java.lang.String sessionId)

  Gets current browser's title.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the browser's title.

### setTitle

    void setTitle(java.lang.String sessionId,
                  java.lang.String title)

  Sets the current browser's title.

  Parameters:
    `sessionId` - the user session id.
    `title` - the browser's title.

### getDHTMLSkinPath

    java.lang.String getDHTMLSkinPath(java.lang.String sessionId,
                                      java.lang.String rptSetId)

  Deprecated.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the DHTML skin path URL.
  See Also:
    `From V9. Gets the DHTML skin path URL.`

### getDHTMLSkinImagePath

    java.lang.String getDHTMLSkinImagePath(java.lang.String sessionId,
                                           java.lang.String rptSetId)

  Gets the DHTML images path URL.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the DHTML images path URL.

### getDHTMLCssPath

    java.lang.String getDHTMLCssPath(java.lang.String sessionId,
                                     java.lang.String rptSetId)

  Gets the DHTML CSS path URL.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the DHTML CSS path URL.

### getDHTMLSkinCssPath

    java.lang.String getDHTMLSkinCssPath(java.lang.String sessionId,
                                         java.lang.String rptSetId)

  Gets the DHTML CSS path URL.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the DHTML CSS path URL.

### getDHTMLJsPath

    java.lang.String getDHTMLJsPath(java.lang.String sessionId)

  Gets the DHTML JavaScript path URL.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the DHTML JavaScript path URL.

### getDHTMLSkins

    java.util.List getDHTMLSkins(java.lang.String sessionId,
                                 java.lang.String rptSetId)
                                 throws jet.JDException

  Gets the DHTML skin list.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id -- not used.
  Returns:
    the DHTML skin list.
  Throws:
    `jet.JDException`

### getStyle

    java.lang.String[] getStyle()

  Deprecated. Gets the style names.
  Implements with new String[] { "style1", "style2", "style3" }.

  Returns:
    style names.

### setStyle

    void setStyle(java.lang.String[] styles)

  Deprecated. Sets the report style names, which should be defined in JReport Designer.
  Nothing do.

  Parameters:
    `styles` - the style name list.

### setIsNoFrame

    void setIsNoFrame(java.lang.String sessionId,
                      java.lang.String rptSetId,
                      boolean isNoFrame)

  Sets the DHTML frame mode.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `isNoFrame` - is DHTML frame mode.

### customizeToolbar

    void customizeToolbar(java.lang.String sessionId,
                          java.lang.String rptSetId,
                          java.lang.String toolbarname,
                          int[] buttonId)

  Customizes toolbar.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `toolbarname` - the toolbar name which is defined in DHTMLConstants.java:
      DHTMLConstants.TOOLBAR_STANDARD_NAME;
      DHTMLConstants.TOOLBAR_VIEW_NAME;
      DHTMLConstants.TOOLBAR_ANALYSIS_NAME.
    `buttonId` - the toolbar button id list.
    The button ID which is defined in DHTMLConstants.java:
      DHTMLConstants.TOOLBAR_LINE;
      DHTMLConstants.TOOLBAR_ZOOM;
      DHTMLConstants.TOOLBAR_NAVFIRST;
      DHTMLConstants.TOOLBAR_NAVPREVIOUS;
      DHTMLConstants.TOOLBAR_NAVNEXT;
      DHTMLConstants.TOOLBAR_END;
      DHTMLConstants.TOOLBAR_PAGE;
      DHTMLConstants.TOOLBAR_UNDO;
      DHTMLConstants.TOOLBAR_REDO;
      DHTMLConstants.TOOLBAR_SEARCH;
      DHTMLConstants.TOOLBAR_REFRESH;
      DHTMLConstants.TOOLBAR_RESET;
      DHTMLConstants.TOOLBAR_TOOLBOX;
      DHTMLConstants.TOOLBAR_TOCTREE;
      DHTMLConstants.TOOLBAR_DSOTREE;
      DHTMLConstants.TOOLBAR_USERINFOBAR;
      DHTMLConstants.TOOLBAR_HELP;
      DHTMLConstants.TOOLBAR_NEW;
      DHTMLConstants.TOOLBAR_OPEN;
      DHTMLConstants.TOOLBAR_SAVE;
      DHTMLConstants.TOOLBAR_SAVEAS;
      DHTMLConstants.TOOLBAR_SAVERESULT;
      DHTMLConstants.TOOLBAR_PAGESETUP;
      DHTMLConstants.TOOLBAR_PRINT;
      DHTMLConstants.TOOLBAR_STYLE;
      DHTMLConstants.TOOLBAR_GROUP;
      DHTMLConstants.TOOLBAR_SORT;
      DHTMLConstants.TOOLBAR_FILTER;
      DHTMLConstants.TOOLBAR_TOCHART;
      DHTMLConstants.TOOLBAR_TOCROSSTAB;
      DHTMLConstants.TOOLBAR_ROTATECROSSTAB;
      DHTMLConstants.TOOLBAR_CHARTTYPE;
      DHTMLConstants.TOOLBAR_SPLIT;
      DHTMLConstants.TOOLBAR_MERGE;
      DHTMLConstants.TOOLBAR_EDIT_MARK;
      DHTMLConstants.TOOLBAR_RECORD_NUMBER;
      DHTMLConstants.TOOLBAR_EXPORTTOHTML;
      DHTMLConstants.TOOLBAR_EXPORTTOPDF;
      DHTMLConstants.TOOLBAR_EXPORTTOXML;
      DHTMLConstants.TOOLBAR_EXPORTTORTF;
      DHTMLConstants.TOOLBAR_EXPORTTOXLS;
      DHTMLConstants.TOOLBAR_EXPORTTOTEXT;
      DHTMLConstants.TOOLBAR_EXPORTTOPS;
      DHTMLConstants.TOOLBAR_ROTATETABLE;
      DHTMLConstants.TOOLBAR_BC_FILTER;
      DHTMLConstants.TOOLBAR_DELETE;
      DHTMLConstants.TOOLBAR_AUTOREFRESHREPORT_MODE;
      DHTMLConstants.TOOLBAR_CHECKRSC.

### customizeToolbar

    void customizeToolbar(java.lang.String sessionId,
                          java.lang.String rptSetId,
                          java.lang.String toolbarname,
                          int[] buttonId,
                          boolean isVisible)

  Customizes toolbar.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `toolbarname` - the toolbar name which is defined in DHTMLConstants.java:
      DHTMLConstants.TOOLBAR_STANDARD_NAME;
      DHTMLConstants.TOOLBAR_VIEW_NAME;
      DHTMLConstants.TOOLBAR_ANALYSIS_NAME.
    `buttonId` - the toolbar button id list.
    The button ID which is defined in DHTMLConstants.java:
      DHTMLConstants.TOOLBAR_LINE;
      DHTMLConstants.TOOLBAR_ZOOM;
      DHTMLConstants.TOOLBAR_NAVFIRST;
      DHTMLConstants.TOOLBAR_NAVPREVIOUS;
      DHTMLConstants.TOOLBAR_NAVNEXT;
      DHTMLConstants.TOOLBAR_END;
      DHTMLConstants.TOOLBAR_PAGE;
      DHTMLConstants.TOOLBAR_UNDO;
      DHTMLConstants.TOOLBAR_REDO;
      DHTMLConstants.TOOLBAR_SEARCH;
      DHTMLConstants.TOOLBAR_REFRESH;
      DHTMLConstants.TOOLBAR_RESET;
      DHTMLConstants.TOOLBAR_TOOLBOX;
      DHTMLConstants.TOOLBAR_TOCTREE;
      DHTMLConstants.TOOLBAR_DSOTREE;
      DHTMLConstants.TOOLBAR_USERINFOBAR;
      DHTMLConstants.TOOLBAR_HELP;
      DHTMLConstants.TOOLBAR_NEW;
      DHTMLConstants.TOOLBAR_OPEN;
      DHTMLConstants.TOOLBAR_SAVE;
      DHTMLConstants.TOOLBAR_SAVEAS;
      DHTMLConstants.TOOLBAR_SAVERESULT;
      DHTMLConstants.TOOLBAR_PAGESETUP;
      DHTMLConstants.TOOLBAR_PRINT;
      DHTMLConstants.TOOLBAR_STYLE;
      DHTMLConstants.TOOLBAR_GROUP;
      DHTMLConstants.TOOLBAR_SORT;
      DHTMLConstants.TOOLBAR_FILTER;
      DHTMLConstants.TOOLBAR_TOCHART;
      DHTMLConstants.TOOLBAR_TOCROSSTAB;
      DHTMLConstants.TOOLBAR_ROTATECROSSTAB;
      DHTMLConstants.TOOLBAR_CHARTTYPE;
      DHTMLConstants.TOOLBAR_SPLIT;
      DHTMLConstants.TOOLBAR_MERGE;
      DHTMLConstants.TOOLBAR_EDIT_MARK;
      DHTMLConstants.TOOLBAR_RECORD_NUMBER;
      DHTMLConstants.TOOLBAR_EXPORTTOHTML;
      DHTMLConstants.TOOLBAR_EXPORTTOPDF;
      DHTMLConstants.TOOLBAR_EXPORTTOXML;
      DHTMLConstants.TOOLBAR_EXPORTTORTF;
      DHTMLConstants.TOOLBAR_EXPORTTOXLS;
      DHTMLConstants.TOOLBAR_EXPORTTOTEXT;
      DHTMLConstants.TOOLBAR_EXPORTTOPS;
      DHTMLConstants.TOOLBAR_ROTATETABLE;
      DHTMLConstants.TOOLBAR_BC_FILTER;
      DHTMLConstants.TOOLBAR_DELETE;
      DHTMLConstants.TOOLBAR_AUTOREFRESHREPORT_MODE;
      DHTMLConstants.TOOLBAR_CHECKRSC.
    `isVisible` - the visible status of the toolbar.

### getCurrentToolbarInfo

    java.util.Hashtable getCurrentToolbarInfo(java.lang.String sessionId,
                                              java.lang.String rptSetId,
                                              java.lang.String rptName)

  Gets the current toolbar information.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/option_general.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the current toolbar information.

### getShortcutMenu

    jet.web.dhtml.ShortCutMenu getShortcutMenu(java.util.Hashtable params)

  Builds shortcut menu for jetObject specifically.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/actionjsp/shortcutmenu.jsp.

  Parameters:
    `params` - input user parameter.
      Includes sessionid the user session id;
      rptsetid the report set id;
      rptname the report name;
      dsid the field id (the HTML element dsid property).
  Returns:
    shortcut menu object.

### isCloseWindow

    boolean isCloseWindow(java.lang.String sessionId,
                          java.lang.String rptSetId)

  Gets DHTML window closing mode.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/save_validate.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    DHTML window closing mode:
      true -- close the window.
      false -- keep the window open.

### isFeatureEnabled

    boolean isFeatureEnabled(java.lang.String sessionId,
                             java.lang.String rptSetId,
                             java.lang.String featureName)

  Determines whether the DHTML feature is enabled.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/index.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `featureName` - DHTML feature Name, which should be a constant with the prefix "FEATURE_" that has been defined in the class DHTMLConstant, e.g. DHTMLConstant.FEATURE_USERINFOBAR.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setFeatureEnabled

    void setFeatureEnabled(java.lang.String sessionId,
                           java.lang.String rptSetId,
                           java.lang.String featureName,
                           boolean enable)

  Sets the DHTML feature enabled.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `featureName` - the DHTML feature Name, which should be a constant with the prefix "FEATURE_" that has been defined in the class DHTMLConstant, e.g. DHTMLConstant.FEATURE_USERINFOBAR.
    `enable` - if true, this DHTML feature is enabled; otherwise disabled.

### isComponentVisible

    boolean isComponentVisible(java.lang.String sessionId,
                               java.lang.String rptSetId,
                               java.lang.String compName)

  Determines whether the DHTML component is visible.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/customize_panel.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `compName` - DHTML Component name, which should be a constant with the prefix "COMP_" that has been defined in the class DHTMLConstant, e.g. DHTMLConstant.COMP_USERINFOBAR.
  Returns:
    true if this DHTML feature component is visible; otherwise false.

### setComponentVisible

    void setComponentVisible(java.lang.String sessionId,
                             java.lang.String rptSetId,
                             java.lang.String compName,
                             boolean visible)

  Sets the DHTML component visible.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `compName` - DHTML Component name, which should be a constant with the prefix "COMP_" that has been defined in the class DHTMLConstant, e.g. DHTMLConstant.COMP_USERINFOBAR.
    `visible` - If true, this DHTML component is visible; otherwise invisible.

### getZoomValue

    int getZoomValue(java.lang.String sessionId,
                     java.lang.String rptSetId)

  Gets the DHTML page zoom value with the specified report set.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    100 when the report set/session does not exist.
  Returns:
    the DHTML page zoom value.

### setZoomValue

    void setZoomValue(java.lang.String sessionId,
                      java.lang.String rptSetId,
                      int zoomValue)

  Sets the DHTML page zoom value with the specified report set.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `zoomValue` - the DHTML page zoom value.

### isAdhoc

    boolean isAdhoc(java.lang.String sessionId,
                    java.lang.String rptSetId)

  Determines whether adhoc mode is enabled.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/customize_panel.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    true if adhoc mode is enabled; otherwise false.

### getAutoRefreshInterval

    int getAutoRefreshInterval(java.lang.String sessionId,
                               java.lang.String rptSetId)

  Gets the auto refresh interval.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/customize_panel.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the auto refresh interval.

### setAutoRefreshInterval

    void setAutoRefreshInterval(java.lang.String sessionId,
                                java.lang.String rptSetId,
                                int interval)

  Sets the auto refresh interval. Keep the session if not expired.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `interval` - the auto refresh interval. Must larger than 16.

### getLockScreenTimeOut

    int getLockScreenTimeOut(java.lang.String sessionId,
                             java.lang.String rptSetId)

  Gets the time of lock screen timeout.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/header.jsp.
    %serverhome%/public_html/javascript/dhtml/timmer.js.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the time of lock screen timeout.

### setLockScreenTimeOut

    void setLockScreenTimeOut(java.lang.String sessionId,
                              java.lang.String rptSetId,
                              int timeOut)

  Sets the time of lock screen timeout.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `timeOut` - the time of lock screen timeout.
    0 means this feature is disabled. timeOut must be larger than or equal to 0.

### isAdvanceUser

    boolean isAdvanceUser(java.lang.String sessionId,
                          java.lang.String rptSetId)

  Determines whether the user is an advanced user.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/dialogjsp/fieldproperty.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    true if the user is an advanced user, otherwise false.

### getHostName

    java.lang.String getHostName(java.lang.String sessionId)

  Gets the server's host name.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the server's host name.

### getHostPort

    java.lang.String getHostPort(java.lang.String sessionId)

  Gets the server's host port.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the server's host port.

### setDisplayNameSortEnabled

    void setDisplayNameSortEnabled(java.lang.String sessionId,
                                   boolean isEnabled)

  Sets whether or not to enable the feature of sorting column display name.

  Parameters:
    `sessionId` - the user session id.
    `isEnabled` - if true, this DHTML feature is enabled; otherwise this DHTML feature is disabled.

### isDisplayNameSortEnabled

    boolean isDisplayNameSortEnabled(java.lang.String sessionId)

  Determines whether or not to enable the feature of sorting column display name.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setSortDisplayNameSortType

    void setSortDisplayNameSortType(java.lang.String sessionId,
                                    int sortType)

  Sets the sort type of column display name in the sort dialog.

  Parameters:
    `sessionId` - the user session id.
    `sortType` - the sort type of column display name sort; the value is:
      DHTMLConstant.SORT_ASCENDING;
      DHTMLConstant.SORT_DESCENDING;
      DHTMLConstant.SORT_NOTSORTED.

### getSortDisplayNameSortType

    int getSortDisplayNameSortType(java.lang.String sessionId)

  Gets the sort type of column display name in the sort dialog.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the sort type of column display name:
      DHTMLConstant.SORT_ASCENDING;
      DHTMLConstant.SORT_DESCENDING;
      DHTMLConstant.SORT_NOTSORTED.

### setFilterDisplayNameSortType

    void setFilterDisplayNameSortType(java.lang.String sessionId,
                                      int sortType)

  Sets the sort type of column display name in the filter dialog.

  Parameters:
    `sessionId` - the user session id.
    `sortType` - the sort type of column display name; the value is:
      DHTMLConstant.SORT_ASCENDING;
      DHTMLConstant.SORT_DESCENDING;
      DHTMLConstant.SORT_NOTSORTED.

### getFilterDisplayNameSortType

    int getFilterDisplayNameSortType(java.lang.String sessionId)

  Gets the sort type of column display name in the filter dialog.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the sort type of column display name:
      DHTMLConstant.SORT_ASCENDING;
      DHTMLConstant.SORT_DESCENDING;
      DHTMLConstant.SORT_NOTSORTED.

### setSearchDisplayNameSortType

    void setSearchDisplayNameSortType(java.lang.String sessionId,
                                      int sortType)

  Sets the sort type of column display name in the search dialog.

  Parameters:
    `sessionId` - the user session id.
    `sortType:` - the sort type of column display name; the value is:
      DHTMLConstant.SORT_ASCENDING;
      DHTMLConstant.SORT_DESCENDING;
      DHTMLConstant.SORT_NOTSORTED.

### getSearchDisplayNameSortType

    int getSearchDisplayNameSortType(java.lang.String sessionId)

  Gets the sort type of column display name in the search dialog.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the sort type of column display name:
      DHTMLConstant.SORT_ASCENDING;
      DHTMLConstant.SORT_DESCENDING;
      DHTMLConstant.SORT_NOTSORTED.

### setReportScroll

    void setReportScroll(java.lang.String sessionId,
                         int type)

  Sets the report scrollbar type.

  Parameters:
    `sessionId` - the user session id.
    `reportScroll` - The reportScroll to set; the value is:
      0 -- [visible] Content is not clipped and scroll bars are not added.
      1 -- [scroll] Content is clipped and scroll bars are added, even if the content does not exceed the dimensions of the object.
      2 -- [hidden] Content that exceeds the dimensions of the object is not shown.
      3 -- [auto] Default. Content is clipped and scrolling is added only when necessary.

### getReportScroll

    int getReportScroll(java.lang.String sessionId)

  Gets the report scrollbar type.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/rptmain.jsp.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the report scrollbar type:
      0 -- [visible] Content is not clipped and scroll bars are not added.
      1 -- [scroll] Content is clipped and scroll bars are added, even if the content does not exceed the dimensions of the object.
      2 -- [hidden] Content that exceeds the dimensions of the object is not shown.
      3 -- [auto] Default. Content is clipped and scrolling is added only when necessary.

### getDHTMLJspUrl

    java.lang.String getDHTMLJspUrl(java.lang.String sessionId)

  Gets the dhtml web app jsp url.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/dhtml.jsp.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    current dhtml web app jsp url.

### getDHTMLServletUrl

    java.lang.String getDHTMLServletUrl(java.lang.String sessionId,
                                        java.lang.String rptSetId)

  Gets the dhtml web app context path.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/dhtml.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    current dhtml web app servlet url.

### setDHTMLContextPath

    void setDHTMLContextPath(java.lang.String sessionId,
                             java.lang.String contextPath)

  Sets the dhtml web app context path.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/dhtml.jsp.

  Parameters:
    `sessionId` - the user session id.
    `contextPath` - the web app context path.

### setDHTMLJspUrl

    void setDHTMLJspUrl(java.lang.String sessionId,
                        java.lang.String url)

  Sets the dhtml web app jsp url, it can be a relative or absolute path.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/dhtml.jsp.

  Parameters:
    `sessionId` - the user session id.
    `url` - the web app jsp url.

### setDHTMLServletUrl

    void setDHTMLServletUrl(java.lang.String sessionId,
                            java.lang.String rptSetId,
                            java.lang.String url)

  Sets the dhtml web app servlet url, it can be a relative or absolute path.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/dhtml.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `url` - the servlet url.

### getDHTMLContextPath

    java.lang.String getDHTMLContextPath(java.lang.String sessionId)

  Gets the dhtml web app context path.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    current dhtml web app context path.

### setUsedToolbar

    void setUsedToolbar(java.lang.String sessionId,
                        java.lang.String rptSetId,
                        java.lang.String rptName,
                        java.lang.String toolbarName,
                        boolean isUsed)

  Sets whether or not the toolbar is used.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `toolbarName` - the toolbar name which is defined in DHTMLConstants.java:
      DHTMLConstants.TOOLBAR_STANDARD_NAME;
      DHTMLConstants.TOOLBAR_VIEW_NAME;
      DHTMLConstants.TOOLBAR_ANALYSIS_NAME.
    `isUsed` - whether the toolbar is used.

### setSkinFilePath

    void setSkinFilePath(java.lang.String strSkinFilePath,
                         java.lang.String fileName)

  Deprecated.

  Parameters:
    `path` - skin file path.
    `name` - skin file name.
  See Also:
    `From V9. Sets the skin file path and file name.`

### setDHTMLSkins

    void setDHTMLSkins(java.lang.String sessionId,
                       java.lang.String skins)

  Sets the DHTML skin.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/dhtml.jsp.

  Parameters:
    `sessionId` - the user session id.
    `skins` - the skins such as {key=value,key=value,...} which is defined in %serverhome%/public_html/skin/skin.properties. And user must make sure there are the related folders under %serverhome%/public_html/images/dhtml and %serverhome%/public_html/style/dhtml.

### getToolbar

    java.util.Vector getToolbar(java.lang.String sessionId,
                                java.lang.String rptSetId,
                                java.lang.String rptName,
                                int toolbarId)
                                throws jet.JDException

  Gets the toolbar items by toolbar id.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/commontoolbar.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `toolbarId` - the toolbar id:
      0 -- DHTMLConstants.TOOLBAR_STANDARD_NAME;
      1 -- DHTMLConstants.TOOLBAR_VIEW_NAME;
      2 -- DHTMLConstants.TOOLBAR_ANALYSIS_NAME.
  Returns:
    the toolbar items list.
  Throws:
    `jet.JDException`

### getToolbar

    java.util.Vector getToolbar(java.lang.String sessionId,
                                java.lang.String rptSetId,
                                java.lang.String rptName,
                                int toolbarID,
                                boolean isSimpleMode)
                                throws jet.JDException

  Gets the toolbar items by toolbar id and view mode.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/commontoolbar.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `toolbarID` - the toolbar id:
      0 -- DHTMLConstants.TOOLBAR_STANDARD_NAME;
      1 -- DHTMLConstants.TOOLBAR_VIEW_NAME;
      2 -- DHTMLConstants.TOOLBAR_ANALYSIS_NAME.
    `isSimpleMode` - the view mode
  Returns:
    the toolbar items list.
  Throws:
    `jet.JDException`

### isSimpleViewMode

    boolean isSimpleViewMode(java.lang.String sessionId,
                             java.lang.String rptSetId,
                             java.lang.String rptName)

  Gets current view mode.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/commontoolbar.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    whether it is simple view mode.

### isVisibleMenu

    boolean isVisibleMenu(java.lang.String sessionId,
                          java.lang.String rptSetId,
                          java.lang.String rptName)

  Gets whether current menu is visible.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/commontoolbar.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    whether current menu is visible.

### getToolbarsDisplayName

    java.util.List getToolbarsDisplayName(java.lang.String sessionId,
                                          java.lang.String rptSetId,
                                          java.lang.String rptName)
                                          throws jet.JDException

  Gets all toolbar display name list.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/option_general.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the all toolbar display name list.
  Throws:
    `jet.JDException`

### getCurrentSkinName

    java.lang.String getCurrentSkinName(java.lang.String sessionId,
                                        java.lang.String rptSetId)

  Gets the current skin name.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/option_general.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the current skin name.

### getMainMenu

    jet.web.dhtml.Menu getMainMenu(java.util.Hashtable params)

  Gets DHTML main menu.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/mainmenu.jsp.

  Parameters:
    `params` - input user parameter.
      Includes sessionid the user session id;
      rptsetid the report set id;
      rptname the report name.
  Returns:
    the DHTML main menu.

### setPopupFilterItemEnabled

    void setPopupFilterItemEnabled(java.lang.String sessionId,
                                   int itemID,
                                   boolean isEnabled)

  Sets the filter shortcut menu visibility.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/actionjsp/shortcutmenu.jsp.

  Parameters:
    `sessionId` - the user session id.
    `itemID` - values defined in DHTMLConstants.java:
      DHTMLConstants.FILTERALL;
      DHTMLConstants.FILTERTOPN;
      DHTMLConstants.FILTERBOMN;
      DHTMLConstants.FILTERMORE.
    `isEnabled` - if true, this DHTML feature is visible, otherwise it is invisible.

### setShortcutMenu

    void setShortcutMenu(java.lang.String sessionId,
                         java.lang.String rptSetId,
                         int shortcutmenu,
                         boolean isEnable)

  Sets the shortcut menu visibility.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/actionjsp/shortcutmenu.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `shortcutmenu` - values defined in DHTMLConstants.java:
      0xffffffff means all shortcut menu;
      DHTMLConstants.FILTERENABLE;
      DHTMLConstants.SORTENABLE;
      DHTMLConstants.DRILLENABLE;
      DHTMLConstants.DRILLTOENABLE;
      DHTMLConstants.DRILLTOBYVALUEENABLE;
      DHTMLConstants.DRILLDOWNENABLE;
      DHTMLConstants.DRILLTODETAILENABLE;
      DHTMLConstants.GOTOENABLE;
      DHTMLConstants.GOTOBYVALUEENABLE;
      DHTMLConstants.GODOWNENABLE;v
      DHTMLConstants.GOUPENABLE;
      DHTMLConstants.GOTODETAILENABLE;
      DHTMLConstants.TURNTOENABLE;
      DHTMLConstants.PROPERTYENABLE;
      DHTMLConstants.LINKREPORTENABLE;
      DHTMLConstants.DETAILREPORTENABLE;
      DHTMLConstants.TOPNENABLE;
      DHTMLConstants.REMOVEFILTERENABLE;
      DHTMLConstants.SEARCHENABLE;
      DHTMLConstants.CHARTTYPEENABLE.
    `isEnable` - if true, this DHTML feature is visible, otherwise it is invisible.

### getCurrentZoom

    int getCurrentZoom(java.lang.String sessionId,
                       java.lang.String rptSetId,
                       java.lang.String rptName)

  Gets the current report zoom value.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/zoom.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the DHTML page zoom value.
    100 when the report/report set/session does not exist.

### getRecordNumber

    int getRecordNumber(java.lang.String sessionId,
                        java.lang.String rptSetId)

  Gets the DHTML page Record Number value.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/tool_button.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the DHTML page Record Number value.
    -1 when the report set/session does not exist.

### setRecordNumber

    void setRecordNumber(java.lang.String sessionId,
                         java.lang.String rptSetId,
                         int recordNumber)

  Sets the DHTML Record Number value.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `recordNumber` - the DHTML page Record Number value.

### getUserEncoding

    java.lang.String getUserEncoding(java.lang.String sessionId)

  Gets the user encoding type.
  Always returns "UTF-8".

  An example of the method:

    %serverhome%/public_html/dhtmljsp/dhtml.jsp.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the user encoding type.

### getLeftPanelWidth

    int getLeftPanelWidth(java.lang.String sessionId,
                          java.lang.String rptSetId)

  Gets the left panel width.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/customize_panel.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the left panel width.

### setLeftPanelWidth

    void setLeftPanelWidth(java.lang.String sessionId,
                           java.lang.String rptSetId,
                           int width)

  Sets the left panel width.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `width` - the left panel width.

### getToolBoxPanelHeight

    int getToolBoxPanelHeight(java.lang.String sessionId,
                              java.lang.String rptSetId)

  Gets the toolbox panel height.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/customize_panel.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.

### setToolBoxPanelHeight

    void setToolBoxPanelHeight(java.lang.String sessionId,
                               java.lang.String rptSetId,
                               int height)

  Sets the toolbox panel height.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `height` - the Toolbox panel height.

### getTocPanelHeight

    int getTocPanelHeight(java.lang.String sessionId,
                          java.lang.String rptSetId)

  Gets the TOC panel height.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/customize_panel.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the TOC panel height.

### setTocPanelHeight

    void setTocPanelHeight(java.lang.String sessionId,
                           java.lang.String rptSetId,
                           int height)

  Sets the TOC panel height.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `height` - the TOC panel height.

### getDSOPanelHeight

    int getDSOPanelHeight(java.lang.String sessionId,
                          java.lang.String rptSetId)

  Gets the Resource View panel height.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/customize_panel.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the Resource View panel height.

### setDSOPanelHeight

    void setDSOPanelHeight(java.lang.String sessionId,
                           java.lang.String rptSetId,
                           int height)

  Sets the Resource View panel height.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `height` - the Resource View panel height.

### getToolbarIndexArray

    java.util.List getToolbarIndexArray(java.lang.String sessionId,
                                        java.lang.String rptSetId,
                                        java.lang.String rptName)
                                        throws jet.JDException

  Gets the toolbar index list.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the toolbar index list.
  Throws:
    `jet.JDException`

### isCheckAllReportTimeOut

    boolean isCheckAllReportTimeOut(java.lang.String sessionId,
                                    java.lang.String rptSetId)

  Determines whether or not to check the timeout state of all reports in the report set.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    true if necessary to check, otherwise false.

### setIsCheckAllReportTimeOut

    void setIsCheckAllReportTimeOut(java.lang.String sessionId,
                                    java.lang.String rptSetId,
                                    boolean ischeckallreporttimout)

  Sets whether or not to check the timeout state of all reports in the report set.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `ischeckallreporttimout` - true to check, otherwise false.

### setHostName

    void setHostName(java.lang.String sessionId,
                     java.lang.String hostName)

  Sets the server's host name.

  Parameters:
    `sessionId` - the user session id.
    `hostName` - the server's host name.

### setHostPort

    void setHostPort(java.lang.String sessionId,
                     java.lang.String port)

  Sets the server's host port.

  Parameters:
    `sessionId` - the user session id.
    `port` - the server's host port.

### getToolbarInfo

    java.lang.String[][] getToolbarInfo(java.lang.String sessionId,
                                        java.lang.String rptSetId,
                                        java.lang.String rptName)

  Gets the toolbar information.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the toolbar information, such as [[DHTMLConstants.TOOLBAR_STANDARD_NAME,"true"], [DHTMLConstants.TOOLBAR_VIEW_NAME,"false"], [DHTMLConstants.TOOLBAR_ANALYSIS_NAME,"true"]]

### getChartTypeMenu

    jet.web.dhtml.ShortCutMenu getChartTypeMenu(java.util.Hashtable params)

  Builds shortcut menu for jetObject specifically.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/actionjsp/charttypemenu.jsp.

  Parameters:
    `params` - input user parameter.
      Includes sessionid the user session id;
      rptsetid the report set id;
      rptname the report name;
      dsid the field id (the HTML element dsid property).
  Returns:
    shortcut menu object. Null if running RSD or chart type feature is disabled; otherwise the shortcut menu.

### isLocked

    boolean isLocked(java.lang.String sessionId,
                     java.lang.String rptSetId,
                     java.lang.String rptName)

  Determines whether the DHTML page is locked or not.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/customize_panel.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    If true, this DHTML page is locked; otherwise unlocked.

### getUserScheme

    java.lang.String getUserScheme(java.lang.String sessionId)

  Gets the server's Scheme.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the user's Scheme.

### getUILanguage

    java.lang.String getUILanguage(java.lang.String sessionId,
                                   java.lang.String rptSetId)

  Gets the language used in DHTML UI.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/actionjsp/actionheader.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the language used in DHTML UI.

### getGridSize

    int getGridSize(java.lang.String sessionId,
                    java.lang.String rptSetId)

  Gets the grid size.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/snapgrid.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the grid size.

### isShowGrid

    boolean isShowGrid(java.lang.String sessionId,
                       java.lang.String rptSetId)

  Gets whether or not to show grids.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/snapgrid.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    whether or not to show grids.

### isSnapGrid

    boolean isSnapGrid(java.lang.String sessionId,
                       java.lang.String rptSetId)

  Gets whether or not to snap grid.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/snapgrid.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    whether or not to snap grid.

### getGridImagePath

    java.lang.String getGridImagePath(java.lang.String sessionId,
                                      java.lang.String rptSetId,
                                      java.lang.String rptName)

  Gets the grid image path.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/snapgrid.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the grid image path.

### enableLinkCatalogMode

    boolean enableLinkCatalogMode(java.lang.String sessionId)

  Gets whether or not to enable linked catalog, used in the save dialog.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/save_as.jsp.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    whether or not to enable linked catalog.

### getLinkCatalogMode

    java.lang.String getLinkCatalogMode(java.lang.String sessionId)

  Gets the catalog usage mode.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/save_as.jsp.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the catalog usage mode:
      "default" -- As linked catalog;
      "copy" -- As catalog copy.

### setCurrentUILanguage

    void setCurrentUILanguage(java.lang.String sessionId,
                              java.lang.String rptSetId,
                              java.lang.String rptName,
                              java.lang.String localeStr)

  Sets the language used in DHTML UI.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `localeStr` - the locale information.

### isPipeLineMode

    boolean isPipeLineMode(java.lang.String sessionId,
                           java.lang.String rptSetId,
                           java.lang.String rptName)

  Gets whether it is pipe line mode.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    whether it is pipe line mode.

### isGoToDetailMode

    boolean isGoToDetailMode(java.lang.String sessionId,
                             java.lang.String rptSetId,
                             java.lang.String rptName)

  Gets whether it is go to detail mode.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/header.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    whether it is go to detail mode.

### getCurrentToolbarButtonIsDisabled

    boolean getCurrentToolbarButtonIsDisabled(java.lang.String sessionId,
                                              java.lang.String rptSetId,
                                              java.lang.String rptName,
                                              int buttonId)

  Gets whether the specified toolbar button is disabled.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/actionjsp/actionheader.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `buttonId` - the button ID which is defined in DHTMLConstants.java:
      DHTMLConstants.TOOLBAR_LINE;
      DHTMLConstants.TOOLBAR_ZOOM;
      DHTMLConstants.TOOLBAR_NAVFIRST;
      DHTMLConstants.TOOLBAR_NAVPREVIOUS;
      DHTMLConstants.TOOLBAR_NAVNEXT;
      DHTMLConstants.TOOLBAR_END;
      DHTMLConstants.TOOLBAR_PAGE;
      DHTMLConstants.TOOLBAR_UNDO;
      DHTMLConstants.TOOLBAR_REDO;
      DHTMLConstants.TOOLBAR_SEARCH;
      DHTMLConstants.TOOLBAR_REFRESH;
      DHTMLConstants.TOOLBAR_RESET;
      DHTMLConstants.TOOLBAR_TOOLBOX;
      DHTMLConstants.TOOLBAR_TOCTREE;
      DHTMLConstants.TOOLBAR_DSOTREE;
      DHTMLConstants.TOOLBAR_USERINFOBAR;
      DHTMLConstants.TOOLBAR_HELP;
      DHTMLConstants.TOOLBAR_NEW;
      DHTMLConstants.TOOLBAR_OPEN;
      DHTMLConstants.TOOLBAR_SAVE;
      DHTMLConstants.TOOLBAR_SAVEAS;
      DHTMLConstants.TOOLBAR_SAVERESULT;
      DHTMLConstants.TOOLBAR_PAGESETUP;
      DHTMLConstants.TOOLBAR_PRINT;
      DHTMLConstants.TOOLBAR_STYLE;
      DHTMLConstants.TOOLBAR_GROUP;
      DHTMLConstants.TOOLBAR_SORT;
      DHTMLConstants.TOOLBAR_FILTER;
      DHTMLConstants.TOOLBAR_TOCHART;
      DHTMLConstants.TOOLBAR_TOCROSSTAB;
      DHTMLConstants.TOOLBAR_ROTATECROSSTAB;
      DHTMLConstants.TOOLBAR_CHARTTYPE;
      DHTMLConstants.TOOLBAR_SPLIT;
      DHTMLConstants.TOOLBAR_MERGE;
      DHTMLConstants.TOOLBAR_EDIT_MARK;
      DHTMLConstants.TOOLBAR_RECORD_NUMBER;
      DHTMLConstants.TOOLBAR_EXPORTTOHTML;
      DHTMLConstants.TOOLBAR_EXPORTTOPDF;
      DHTMLConstants.TOOLBAR_EXPORTTOXML;
      DHTMLConstants.TOOLBAR_EXPORTTORTF;
      DHTMLConstants.TOOLBAR_EXPORTTOXLS;
      DHTMLConstants.TOOLBAR_EXPORTTOTEXT;
      DHTMLConstants.TOOLBAR_EXPORTTOPS;
      DHTMLConstants.TOOLBAR_ROTATETABLE;
      DHTMLConstants.TOOLBAR_BC_FILTER;
      DHTMLConstants.TOOLBAR_DELETE;
      DHTMLConstants.TOOLBAR_AUTOREFRESHREPORT_MODE;
      DHTMLConstants.TOOLBAR_CHECKRSC.
  Returns:
    whether the current toolbar button is disabled.

### getResolutionValue

    int getResolutionValue(java.lang.String sessionID,
                           java.lang.String rptSetID)

  Gets the DHTML report set resolution value.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/insert_image_dlg.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    the DHTML report set default resolution value.

### getCurrentResolution

    int getCurrentResolution(java.lang.String sessionID,
                             java.lang.String rptSetID,
                             java.lang.String rptName)

  Gets the DHTML report resolution value.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the DHTML report's current resolution value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD